body {
    font-family: "League Spartan", sans-serif;
    min-height: 100vh;
    width: 100vw;
    padding: 0;
    margin: 0;
    overflow: hidden;
}

.ctaDiv {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: #fffa;
    z-index: 99;
}

#unity-container {
    position: absolute;
}

#unity-container.unity-desktop {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

#unity-container.unity-mobile {
    width: 100%;
    height: 100%
}

#unity-canvas {
    background: #231F20;
}

.unity-mobile #unity-canvas {
    width: 100%;
    height: 100%
}

#unity-footer {
    position: relative;
}

.unity-mobile #unity-footer {
    display: none;
}

#unity-webgl-logo {
    float: left;
    width: 204px;
    height: 38px;
    background: url('webgl-logo.png') no-repeat center;
}

#unity-build-title {
    float: right;
    margin-right: 10px;
    line-height: 38px;
    font-family: arial;
    font-size: 18px;
}

#unity-fullscreen-button {
    float: right;
    width: 38px;
    height: 38px;
    background: url('fullscreen-button.png') no-repeat center;
}

#unity-warning {
    position: absolute;
    left: 50%;
    top: 5%;
    transform: translate(-50%);
    background: white;
    padding: 10px;
    display: none;
}

#app-loading-bar {
    display: none;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    background-color: #e9e7e2;

    .app-logo {
        position: absolute;
        height: 55px;
    }
    
    .progress-track {
        transform: rotate(-90deg);

        circle {
            transition: stroke-dashoffset 0.2s ease;
        }
    }
}

.app-notification {
    background-color: #e9e7e2;

    line-height: 22px;
    letter-spacing: -0.43px;
    text-align: center;

    .content {
        display: flex;
        flex-direction: column;
        width: 226px;
    }

    .title {
        display: inline-block;
        font-weight: 600;
        font-size: 18px;
        margin-bottom: 16px;
    }

    .message {
        font-size: 20px;
    }

    &#unsupportedBrowserDiv .message {
        font-size: 16px;
    }

    .app-button {
        width: 100%;
    }
}

.app-button {
    border: none;
    border-radius: 100px;

    background-color: #da6121;
    color: white;

    font-size: 16px;
    font-weight: 500;
    letter-spacing: -0.43px;
    padding: 16px 32px;
}
